<table class="table mt-5">
  <thead>
  <tr>
    <th>User</th>
    <th></th>
  </tr>
  </thead>
  <tbody>

  <tr>
    <td class="align-middle italic" [colSpan]="2">
      <select class="form-control" [(ngModel)]="userId">
        <option *ngFor="let item of userIds" [ngValue]="item">{{item}}</option>
      </select>
    </td>
  </tr>
  </tbody>
</table>

<table class="table mt-5">
  <thead>
  <tr>
    <th class="text-center">Requirement name</th>
    <th class="text-center">Status</th>
  </tr>
  </thead>
  <tbody>
  <tr>
    <td class="text-center">{{RequirementNames.USER_AVAILABILITY}}</td>
    <td class="text-center">
      <ng-container *meetRequirement="RequirementNames.USER_AVAILABILITY; else requirementNotMet; context: {userId}">
        <ng-template [ngTemplateOutlet]="requirementMet"></ng-template>
      </ng-container>
    </td>
  </tr>
  </tbody>
</table>

<ng-template #requirementNotMet>
  <span class="text-danger">Not met</span>
</ng-template>
<ng-template #requirementMet>
  <span class="text-success">Met</span>
</ng-template>
